
const moduleName = 'prop-user'

export default prefix => {
  return {
    // 获取审核列表
    userVerifyAll: {
      url: `${prefix}/${moduleName}/verify/all`,
      method: 'get',
      action: `admin.${moduleName}.verify.all`
    },

    // 审核用户
    userVerifyAudit: {
      url: `${prefix}/${moduleName}/verify/audit/:id`,
      method: 'put',
      action: `admin.${moduleName}.verify.audit`
    },

    // 校验移动端手机号是否注册
    taUserHas: {
      url: `${prefix}/${moduleName}/has`,
      method: 'get',
      action: `admin.${moduleName}.has`
    },

    // 校验移动端手机号是否注册以及户主
    taUserHasOwner: {
      url: `${prefix}/${moduleName}/hasOwner`,
      method: 'get',
      action: `admin.${moduleName}.hasOwner`
    }
  }
}
